<?php
	/**************************************************************************\
	* phpGroupWare - DJ                                                        *
	* http://www.phpgroupware.org                                              *
	* --------------------------------------------                             *
	*  This program is free software; you can redistribute it and/or modify it *
	*  under the terms of the GNU General Public License as published by the   *
	*  Free Software Foundation; either version 2 of the License, or (at your  *
	*  option) any later version.                                              *
	\**************************************************************************/

	/* $Id: setup.inc.php 21056 2010-03-25 22:44:58Z Caeies $ */

	/* Basic information about this app */
	$setup_info['dj']['name']      = 'dj';
	$setup_info['dj']['title']     = 'DJ';
	$setup_info['dj']['version']   = '0.0.3';
	$setup_info['dj']['app_order'] = 25;
	$setup_info['dj']['enable']    = 1;

	$setup_info['dj']['author']    = 'Joseph Engo, Miles Lott';
	$setup_info['dj']['license']  = 'GPL';
	$setup_info['dj']['description'] = 
		'An interface to a db of local mp3 audio files, which may be served via icecast.';
	$setup_info['dj']['maintainer'] = 'Joseph Engo';
	$setup_info['dj']['maintainer_email'] = 'jengo@phpgroupware.org';

	/* The tables this app creates */
	$setup_info['dj']['tables']    = array(
		'phpgw_dj_que',
		'phpgw_dj_directories',
		'phpgw_dj_songlist',
		'phpgw_dj_shows'
	);

	/* The hooks this app includes, needed for hooks registration */
	$setup_info['dj']['hooks'][] = 'admin';
	$setup_info['dj']['hooks'][] = 'preferences';

	/* Dependencies for this app to work */
	$setup_info['dj']['depends'][] = array(
		 'appname' => 'phpgwapi',
		 'versions' => Array('0.9.13', '0.9.14', '0.9.16')
	);
?>
